<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');


if($_GET['producto']) $producto=$_GET['producto']; else $producto=$_POST['producto'];
if($_GET['embalajePrimario']) $embalajePrimario=$_GET['embalajePrimario']; else $embalajePrimario=$_POST['embalajePrimario'];
if($_GET['ubicacion']) $ubicacion=$_GET['ubicacion']; else $ubicacion=$_POST['ubicacion'];
if($_GET['lote']) $lote=$_GET['lote']; else $lote=$_POST['lote'];

if(!$lote) $lote="-";

// $informarUnidadesPorCaja es un parámetro de config.php creado expresamente para Acrylicos
// convierteCodigoEmbalaje($Codigo,$EmbalajePrimario) está definida en: librerias/funciones-generales.php
if($informarUnidadesPorCaja) $codigoConvertido=convierteCodigoEmbalaje($producto,$embalajePrimario);
else $codigoConvertido=$producto;


$peticion='SGAUtils#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#CANTIDADESPRODUCTOUBICACIONLOTE#'.$_SESSION['almacen'].';'.$codigoConvertido.';'.$ubicacion.';'.$lote;
$proveedores=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo "<p>informarUnidadesPorCaja: ".$informarUnidadesPorCaja."</p>";
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

if($resultado[0]['Error']) {
	echo $resultado[0]['Error'];
}
else {
	$valores=$resultado[0];
	echo "OK#".$valores['CantidadUbicacion'].'#'.$valores['CantidadLeida'].'#'.$valores['CantidadDisponible'].'#'.$valores['CantidadNoTocable'];
}
?>